### Function

# FwupdPlugin SecurityAttr check_fwupd_version

since: 2.0.7

#### Declaration [src]

    gboolean
    fu_security_attr_check_fwupd_version (
      FwupdSecurityAttr* attr,
      const gchar* fwupd_version
    )

#### Description [src]

Checks if this attribute was available in a given fwupd release.

If `fwupd_version` is `NULL` then expect `TRUE`.

Available since: 2.0.7

#### Parameters

`attr`

  Type: `FwupdSecurityAttr`

  A `FwupdSecurityAttr`.

  The data is owned by the caller of the function.

`fwupd_version`

  Type: `const gchar*`

  A fwupd version, e.g. `2.0.7`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the fwupd release contained this attribute.